summaryrefslogtreecommitdiffstats
path: root/games/xmoto/xmoto.SlackBuild
diff options
context:
space:
mode:
author hollywoodb2010-05-11 14:28:24 +0200
committer Robby Workman2010-05-11 14:28:24 +0200
commit8483165088901c77f70b5579477b4c0c6f7fe785 (patch)
tree7cafb6b35a505a7d118faf1dab58ac648e1abb57 /games/xmoto/xmoto.SlackBuild
parent081c60bf85c2e9c73ff8ed5e1f261be34bb1984b (diff)
downloadslackbuilds-8483165088901c77f70b5579477b4c0c6f7fe785.tar.gz
games/xmoto: Initial import
Diffstat (limited to 'games/xmoto/xmoto.SlackBuild')
-rw-r--r--games/xmoto/xmoto.SlackBuild88
1 files changed, 88 insertions, 0 deletions
diff --git a/games/xmoto/xmoto.SlackBuild b/games/xmoto/xmoto.SlackBuild
new file mode 100644
index 0000000000..f8d985ca55
--- /dev/null
+++ b/games/xmoto/xmoto.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+set -e
+
+NAME=xmoto
+VERSION=0.2.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$NAME}
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG $TMP/$NAME-$VERSION
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar zxvf $CWD/$NAME-$VERSION-src.tar.gz
+cd $NAME-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --exec-prefix=/usr \
+ --bindir=/usr/games \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib/games \
+ --datadir=/usr/share/games \
+ --datarootdir=/usr \
+ --docdir=/usr/doc/$NAME-$VERSION \
+ --enable-threads=posix \
+ --with-enable-www=1 \
+ --with-enable-zoom=1
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/share/{pixmaps,applications}
+install -m 0644 extra/$NAME.xpm $PKG/usr/share/pixmaps/
+install -m 0644 extra/$NAME.desktop $PKG/usr/share/applications/
+
+# Fix path to icon in desktop file
+sed -i 's|Icon=xmoto.xpm|Icon=/usr/share/pixmaps/xmoto.xpm|' \
+ $PKG/usr/share/applications/$NAME.desktop
+
+# X-Moto doesn't like to honour the locale options that
+# the configure script says it does.
+mv $PKG/usr/share/games/locale $PKG/usr/share
+
+# Man pages are already gzipped, but there's one small problem
+mv $PKG/usr/man/mang $PKG/usr/man/man6
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING INSTALL NEWS README TODO ChangeLog \
+ $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz